import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoAvatarContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAvatarContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoAvatarContent, "bao-avatar-content, [bao-avatar-content]", ["baoAvatarContent"], {}, {}, never, never, false, never>;
}
export declare class BaoAvatarComponent implements AfterViewInit {
    private renderer;
    private elementRef;
    /**
     * Name of the profile to be used as title of the avatar.
     */
    profileName: string;
    /**
     * ID of the background color to be used if avatar's content is text.
     */
    color: 'background-color-1' | 'background-color-2' | 'background-color-3' | 'background-color-4' | 'background-color-5' | 'background-color-6' | 'background-color-7' | 'background-color-8' | 'background-color-9' | 'background-color-10';
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    ngAfterViewInit(): void;
    private addIcon;
    private setProfileName;
    private formatInitials;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoAvatarComponent, "bao-avatar", never, { "profileName": { "alias": "profileName"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, {}, never, ["bao-avatar-content, [bao-avatar-content]"], false, never>;
}
