import { AfterViewInit, ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoCheckboxGroupComponent implements AfterViewInit {
    private cdr;
    /**
     * The checkbox group ID. It is set dynamically with an unique ID by default
     */
    id: string;
    private staticContainer;
    /**
     * The aria-describedby id for web accessibilty
     */
    ariaDescribedby?: string;
    private _uniqueId;
    constructor(cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    onContentChange(): void;
    /**
     * Set the aria-describedby property to bao-guiding-text if available
     */
    private setAriaDescribedByToDescription;
    private showAriaDescribedBy;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCheckboxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoCheckboxGroupComponent, "bao-checkbox-group, [bao-checkbox-group]", never, { "id": { "alias": "id"; "required": false; }; }, {}, never, ["*", "bao-error, [bao-error], bao-guiding-text, [bao-guiding-text]"], false, never>;
}
