import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoFilePreviewComponent {
    private elementRef;
    private renderer;
    get file(): File;
    /**
     * Uploaded file to display in list.
     */
    set file(f: File);
    /**
     * Is file loading
     */
    isLoading: boolean;
    /**
     * True if projected content has no icon and file does not have a thumbnail.
     */
    insertGenericIcon: boolean;
    thumbnailURL: string;
    protected _file: File;
    protected fileSize: string;
    constructor(elementRef: ElementRef<HTMLElement>, renderer: Renderer2);
    private get nativeElement();
    private setFileData;
    private setIcon;
    private getThumbnail;
    private formatSize;
    private getSizeAndUnit;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoFilePreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoFilePreviewComponent, "bao-file-preview, [bao-file-preview]", never, { "file": { "alias": "file"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, {}, never, ["bao-icon", "button[bao-button]", "baoDropdownTriggerFor"], false, never>;
}
