import * as i0 from "@angular/core";
/**
 * A basic content container component that adds the styles of a BAO header-info
 *
 * While this component can be used alone, it also provides a number
 * of preset styles for common header-info sections, including:
 * - bao-header-info-title-group
 * - bao-header-info-content
 * - bao-header-info-title
 * - bao-header-info-surtitle
 * - bao-header-info-subtitle
 */
export declare class BaoHeaderInfoComponent {
    notch: '' | 'left' | 'center';
    imageUrl: string;
    brandBorder: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoHeaderInfoComponent, "bao-header-info", never, { "notch": { "alias": "notch"; "required": false; }; "imageUrl": { "alias": "imageUrl"; "required": false; }; "brandBorder": { "alias": "brandBorder"; "required": false; }; }, {}, never, ["bao-header-info-title-group", "*"], false, never>;
}
export declare class BaoHeaderInfoTitleGroupComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoTitleGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoHeaderInfoTitleGroupComponent, "bao-header-info-title-group", never, {}, {}, never, ["*", "bao-header-surtitle, [bao-header-surtitle], [baoHeaderSurtitle], \n  bao-header-title, [bao-header-title], [baoHeaderTitle],\n  bao-header-subtitle, [bao-header-subtitle], [baoHeaderSubtitle]"], false, never>;
}
export declare class BaoHeaderInfoContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoHeaderInfoContent, "bao-header-info-content", never, {}, {}, never, never, false, never>;
}
export declare class BaoHeaderInfoSurtitle {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoSurtitle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoHeaderInfoSurtitle, "bao-header-info-surtitle, [bao-header-info-surtitle], [baoHeaderInfoSurtitle]", never, {}, {}, never, never, false, never>;
}
export declare class BaoHeaderInfoSubtitle {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoSubtitle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoHeaderInfoSubtitle, "bao-header-info-subtitle, [bao-header-info-subtitle], [baoHeaderInfoSubtitle]", never, {}, {}, never, never, false, never>;
}
export declare class BaoHeaderInfoTitle {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHeaderInfoTitle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoHeaderInfoTitle, "bao-header-info-title, [bao-header-info-title], [baoHeaderInfoTitle]", never, {}, {}, never, never, false, never>;
}
