import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoTagComponent implements AfterViewInit {
    private renderer;
    private elementRef;
    /**
     * The color of the tag.
     */
    type: 'neutral' | 'info' | 'positive' | 'alert' | 'negative';
    /**
     * The shade of the tags color.
     */
    variant: 'light' | 'strong';
    /**
     * The hidden text for screen readers.
     */
    hiddenText: string;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    ngAfterViewInit(): void;
    private addHiddenText;
    private addIconClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoTagComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoTagComponent, "bao-tag, [bao-tag], [baoTag]", never, { "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "hiddenText": { "alias": "hiddenText"; "required": false; }; }, {}, never, ["bao-icon", "*"], false, never>;
}
