import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoHyperlinkComponent implements AfterViewInit {
    private renderer;
    private elementRef;
    /**
     * Size of the link when it's in a list.
     */
    size?: 'extra-small' | 'small' | 'medium';
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    ngAfterViewInit(): void;
    private addTabIndex;
    private setIcon;
    private addIconClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoHyperlinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoHyperlinkComponent, "bao-hyperlink, [bao-hyperlink]", never, { "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], false, never>;
}
